Debian Bug report logs - #695908
When server host preseed with port number, it failed to get preseed file

version graph

Package: debian-installer; Maintainer for debian-installer is Debian Install System Team <debian-boot@lists.debian.org>; Source for debian-installer is src:debian-installer.

Reported by: YunQiang Su <wzssyqa@gmail.com>

Date: Fri, 14 Dec 2012 09:09:02 UTC

Severity: normal

Tags: confirmed

Fixed in version preseed/1.57

Done: Cyril Brulebois <kibi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#695908; Package debian-installer. (Fri, 14 Dec 2012 09:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to YunQiang Su <wzssyqa@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 14 Dec 2012 09:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: YunQiang Su <wzssyqa@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: When server host preseed with port number, it failed to get preseed file
Date: Fri, 14 Dec 2012 17:05:32 +0800
Package: debian-installer

For example, we put preseed on http://mirrors:9999/pxe.seed,
and dns set domain as example.com, then debian-installer
will try to download

http://mirrors:9999.example.com/pxe.seed

but not
http://mirrors.example.com:9999/pxe.seed

--
YunQiang Su



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#695908; Package debian-installer. (Fri, 14 Dec 2012 12:39:03 GMT) Full text and rfc822 format available.

Message #8 received at 695908@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: YunQiang Su <wzssyqa@gmail.com>, 695908@bugs.debian.org
Subject: Re: Bug#695908: When server host preseed with port number, it failed to get preseed file
Date: Fri, 14 Dec 2012 13:22:34 +0100
[Message part 1 (text/plain, inline)]
On Fri, Dec 14, 2012 at 05:05:32PM +0800, YunQiang Su wrote:
> For example, we put preseed on http://mirrors:9999/pxe.seed,
> and dns set domain as example.com, then debian-installer
> will try to download
> 
> http://mirrors:9999.example.com/pxe.seed
> 
> but not
> http://mirrors.example.com:9999/pxe.seed

Seems like the obvious workaround would be to use a FQDN instead of
something that's suffixed…

Kind regards
Philipp Kern
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#695908; Package debian-installer. (Tue, 25 Dec 2012 20:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 25 Dec 2012 20:57:03 GMT) Full text and rfc822 format available.

Message #13 received at 695908@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: YunQiang Su <wzssyqa@gmail.com>, 695908@bugs.debian.org
Subject: Re: Bug#695908: When server host preseed with port number, it failed to get preseed file
Date: Tue, 25 Dec 2012 21:52:49 +0100
[Message part 1 (text/plain, inline)]
Control: tag -1 confirmed

Hi,

thanks for your report.

YunQiang Su <wzssyqa@gmail.com> (14/12/2012):
> Package: debian-installer
> 
> For example, we put preseed on http://mirrors:9999/pxe.seed,
> and dns set domain as example.com, then debian-installer
> will try to download
> 
> http://mirrors:9999.example.com/pxe.seed
> 
> but not
> http://mirrors.example.com:9999/pxe.seed

FWIW that is happening in preseed's auto-install.sh:
| if expr $host : [^.]*$ >/dev/null; then
|         db_get netcfg/get_domain && domain="$RET"
| 
|         if [ -n "$domain" ] && [ "$domain" != "unnassigned-domain" ]; then
|                 host="$host.$domain"
|         fi
| fi

Also:
| ~/debian-installer/packages$ grep unnassigned-domain -r .
| ./preseed/auto-install.sh:    if [ -n "$domain" ] && [ "$domain" != "unnassigned-domain" ]; then
| ~/debian-installer/packages$ grep unassigned-domain -r .
| ./babelbox/preseed.cfg:d-i netcfg/get_domain string unassigned-domain

(Note the extra 'n' in preseed.)

I'm not sure if that's a problem important enough to fix for wheezy,
or if that can wait until the jessie release cycle.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) confirmed. Request was from Cyril Brulebois <kibi@debian.org> to 695908-submit@bugs.debian.org. (Tue, 25 Dec 2012 20:57:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#695908; Package debian-installer. (Wed, 26 Dec 2012 18:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 26 Dec 2012 18:27:03 GMT) Full text and rfc822 format available.

Message #20 received at 695908@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: YunQiang Su <wzssyqa@gmail.com>, 695908@bugs.debian.org
Subject: Re: Bug#695908: When server host preseed with port number, it failed to get preseed file
Date: Wed, 26 Dec 2012 19:24:24 +0100
[Message part 1 (text/plain, inline)]
Cyril Brulebois <kibi@debian.org> (25/12/2012):
> FWIW that is happening in preseed's auto-install.sh:
> | if expr $host : [^.]*$ >/dev/null; then
> |         db_get netcfg/get_domain && domain="$RET"
> | 
> |         if [ -n "$domain" ] && [ "$domain" != "unnassigned-domain" ]; then
> |                 host="$host.$domain"
> |         fi
> | fi
> 
> Also:
> | ~/debian-installer/packages$ grep unnassigned-domain -r .
> | ./preseed/auto-install.sh:    if [ -n "$domain" ] && [ "$domain" != "unnassigned-domain" ]; then
> | ~/debian-installer/packages$ grep unassigned-domain -r .
> | ./babelbox/preseed.cfg:d-i netcfg/get_domain string unassigned-domain
> 
> (Note the extra 'n' in preseed.)
> 
> I'm not sure if that's a problem important enough to fix for wheezy,
> or if that can wait until the jessie release cycle.

Philip Hands kindly proposed some patches to fix that. To try and
lower the odds of breaking things, I've implemented a minimal test
suite which triggers this problem with the old code, and confirms the
patches fix it. I've just released preseed/1.57 accordingly.

debian-boot@ people: feel free to expand the testsuite!

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Wed, 26 Dec 2012 18:36:03 GMT) Full text and rfc822 format available.

Notification sent to YunQiang Su <wzssyqa@gmail.com>:
Bug acknowledged by developer. (Wed, 26 Dec 2012 18:36:03 GMT) Full text and rfc822 format available.

Message #25 received at 695908-close@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 695908-close@bugs.debian.org
Subject: Bug#695908: fixed in preseed 1.57
Date: Wed, 26 Dec 2012 18:32:56 +0000
Source: preseed
Source-Version: 1.57

We believe that the bug you reported is fixed in the latest version of
preseed, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 695908@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cyril Brulebois <kibi@debian.org> (supplier of updated preseed package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 26 Dec 2012 19:10:05 +0100
Source: preseed
Binary: preseed-common network-preseed file-preseed initrd-preseed env-preseed
Architecture: source all
Version: 1.57
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Cyril Brulebois <kibi@debian.org>
Description: 
 env-preseed - debconf preseeding via environment variables (udeb)
 file-preseed - load debconf preseed file (udeb)
 initrd-preseed - load debconf preseed file from /preseed.cfg on the initrd (udeb)
 network-preseed - download debconf preseed file (udeb)
 preseed-common - common files for preseeding (udeb)
Closes: 695908
Changes: 
 preseed (1.57) unstable; urgency=low
 .
   [ Cyril Brulebois ]
   * Add test suite to catch issues in preseed url parsing (auto-install.sh),
     along with a Makefile implementing a “check” target for dh to call.
 .
   [ Philip Hands ]
   * deal with urls that consist of an unqualified machine name and a port
     Closes: #695908
   * also, deal with unnassigned-domain typo, by accepting both spellings
Checksums-Sha1: 
 abf241f79cf10aa0faaa7ee5494460067ca499d1 1200 preseed_1.57.dsc
 f08a2558b0d8fe8cf0a0fd4b8b48cb387f71ea91 88188 preseed_1.57.tar.gz
 f4561b4172cc622219a65f57c1a9577d6c591ceb 21328 preseed-common_1.57_all.udeb
 5d47640963610fb47db1b3964a1862b752b32f55 30218 network-preseed_1.57_all.udeb
 303299c513fb6faabae61c491c8e7a345251e3a6 4058 file-preseed_1.57_all.udeb
 0a9b5e948082c2dab69ee06f6ba731c02404047b 888 initrd-preseed_1.57_all.udeb
 2fd670b6370c424a754e15e47c6ef7e8f5224a3c 1744 env-preseed_1.57_all.udeb
Checksums-Sha256: 
 25a3096a74fac51629ba56e308323a765aa80087e4a5fb3cf5b5c4d695bdc8de 1200 preseed_1.57.dsc
 e39ba0b0aa7448d4a0469d345ceb418fd8efcfd7c1c4d684c561806c210bbf50 88188 preseed_1.57.tar.gz
 c5877b8c8e01a689b5a5b5f69aad9cbafb3b622334d54b9674311ded95cbb24e 21328 preseed-common_1.57_all.udeb
 5dad57d0ec5d28252ee945bb274e106b71c8c18452d2b8936132963611180fe2 30218 network-preseed_1.57_all.udeb
 49e4e8512963da35933b3a5d1a08d39a6562792c2217f4c69a3699041b10633b 4058 file-preseed_1.57_all.udeb
 7a05dd070873dd45dcd1f827a1202b310904801d91131ef71be6ac288aa1a546 888 initrd-preseed_1.57_all.udeb
 90c69c52eb6636fbb56a67a28bbefcef71c0c78986cb5d7793d71cc0a938494d 1744 env-preseed_1.57_all.udeb
Files: 
 4c85e80888f2f9fdf98575b5c97c9367 1200 debian-installer optional preseed_1.57.dsc
 8933e80f83fa8f6f86aa107a7211c96d 88188 debian-installer optional preseed_1.57.tar.gz
 02c77c5397aae1bbf8cc553abbad2dd8 21328 debian-installer standard preseed-common_1.57_all.udeb
 5f29bd9cc2a24eff2b757ecd9a61c528 30218 debian-installer standard network-preseed_1.57_all.udeb
 9502a21d4ba782b13ffa31fbb1844317 4058 debian-installer optional file-preseed_1.57_all.udeb
 c5b2c21c0c8d6130acb10e580701ed3d 888 debian-installer extra initrd-preseed_1.57_all.udeb
 bcd02200bf4f5d4e7dafb8f4fbe10712 1744 debian-installer extra env-preseed_1.57_all.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlDbP3QACgkQeGfVPHR5Nd2SLACfTh5WxNmCsPJWWffX+i0DVOPw
N20Ani9IhDMfVzvaac5weTaPATBZQg66
=dKdO
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 24 Jan 2013 07:25:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 08:14:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.